Subject: Re: Size of "hello world" program in c++ / cygwin
From: Heinz-Juergen Oertel <[email-masked]>
To: Richard Kaye <[email-masked]>
Cc: [email-masked]
Date: Tue, 13 Jun 2000 12:46:48 +0200

It's mentioned often in the mailing-list, but my be not in the cygwin-faq
probably in the gcc faq:

use
$ gcc -s

to strip symbols from the executable
or use 
$ strip file.exe

mfg
 Heinz

Richard Kaye wrote:
> 
> Hi,
> 
> I couldn't find any reference to this in the FAQs or anything.
> 
> I compiled and run a C++ "hello world" program using gcc/cygwin
> under windows 95 using all the defaults, and although it
> works fine I am surprised to find the executable is nearly half a
> megabyte in size.  (462404 bytes, to be precise.)
> Why is this?  Is there any way I can reduce the size to something
> more reasonable?
> 
> Many thanks
> 
> Richard Kaye
> 
> #include <iostream>
> 
> int main () {
>     cout << "Hello World\n";
>     return 0;
> }
> 
> >From Dr Richard W Kaye\\School of Mathematics and Statistics\\
> University of Birmingham\\Edgbaston\\Birmingham\\B15 2TT\\U.K.
> mailto:[email-masked]  http://www.mat.bham.ac.uk/R.W.Kaye
> pgp public key http://www.mat.bham.ac.uk/R.W.Kaye/rkpubkey.asc
> 
> --

--
Want to unsubscribe from this list?
Send a message to [email-masked]